module gitea.pena/PenaSide/heruvym

go 1.23.2

require (
	gitea.pena/PenaSide/hlog v0.0.0-20241125221102-a54c29c002a9
	gitea.pena/PenaSide/linters-golang v0.0.0-20241127222405-b4bda04c14b4
	github.com/caarlos0/env/v8 v8.0.0
	github.com/dgrijalva/jwt-go v3.2.0+incompatible
	github.com/go-redis/redis/v8 v8.11.5
	github.com/gofiber/fiber/v2 v2.51.0
	github.com/joho/godotenv v1.5.1
	github.com/minio/minio-go/v7 v7.0.81
	github.com/rs/xid v1.6.0
	github.com/skeris/appInit v1.0.2
	go.mongodb.org/mongo-driver v1.13.1
	go.uber.org/zap v1.27.0
	gopkg.in/telebot.v3 v3.3.8
	gopkg.in/tucnak/telebot.v2 v2.5.0
)

require (
	github.com/andybalholm/brotli v1.0.5 // indirect
	github.com/cespare/xxhash/v2 v2.1.2 // indirect
	github.com/dgryski/go-rendezvous v0.0.0-20200823014737-9f7001d12a5f // indirect
	github.com/dustin/go-humanize v1.0.1 // indirect
	github.com/golang/snappy v0.0.4 // indirect
	github.com/google/uuid v1.6.0 // indirect
	github.com/klauspost/compress v1.17.11 // indirect
	github.com/klauspost/cpuid/v2 v2.2.8 // indirect
	github.com/mattn/go-colorable v0.1.13 // indirect
	github.com/mattn/go-isatty v0.0.20 // indirect
	github.com/mattn/go-runewidth v0.0.15 // indirect
	github.com/minio/md5-simd v1.1.2 // indirect
	github.com/montanaflynn/stats v0.6.6 // indirect
	github.com/rivo/uniseg v0.4.3 // indirect
	github.com/valyala/bytebufferpool v1.0.0 // indirect
	github.com/valyala/fasthttp v1.50.0 // indirect
	github.com/valyala/tcplisten v1.0.0 // indirect
	github.com/xdg-go/pbkdf2 v1.0.0 // indirect
	github.com/xdg-go/scram v1.1.2 // indirect
	github.com/xdg-go/stringprep v1.0.4 // indirect
	github.com/youmark/pkcs8 v0.0.0-20201027041543-1326539a0a0a // indirect
	go.uber.org/multierr v1.11.0 // indirect
	golang.org/x/crypto v0.28.0 // indirect
	golang.org/x/net v0.30.0 // indirect
	golang.org/x/sync v0.10.0 // indirect
	golang.org/x/sys v0.26.0 // indirect
	golang.org/x/text v0.21.0 // indirect
)

require (
	gitea.pena/PenaSide/common v0.0.0-20241212132448-b0fccd54b1d8
	github.com/stretchr/testify v1.9.0
	github.com/themakers/bdd v0.0.0-20210316111417-6b1dfe326f33
)

require (
	github.com/davecgh/go-spew v1.1.1 // indirect
	github.com/fatih/color v1.13.0 // indirect
	github.com/go-ini/ini v1.67.0 // indirect
	github.com/goccy/go-json v0.10.3 // indirect
	github.com/pioz/faker v1.7.3 // indirect
	github.com/pkg/errors v0.9.1 // indirect
	github.com/pmezard/go-difflib v1.0.0 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
)
